/*
 * $Id: libmondo-devices-EXT.h 3878 2024-03-08 11:15:10Z bruno $
 */
/* Reviewed */
extern char *find_optical_device(void);
extern bool find_and_mount_actual_cd(char *mountpoint);
extern bool mount_media(char *mountpoint);

/* TBC */
extern bool am_I_in_disaster_recovery_mode(void);
extern bool does_device_exist(char *device);
extern int does_partition_exist(const char *drive, int partno);
extern bool does_string_exist_in_boot_block(char *dev, char *str);
extern long get_phys_size_of_drive(char *drive);
extern bool is_this_a_valid_disk_format(char *format);
extern bool is_this_device_mounted(char *device_raw);
extern int find_device_in_mountlist(struct mountlist_itself *mountlist,
									char *device);
extern long long size_of_specific_device_in_mountlist(struct
													  mountlist_itself
													  *mountlist,
													  char *device);
extern char *where_is_root_mounted(void);
extern char *make_vn(char *file);
extern int kick_vn(char *vn);
extern char which_boot_loader(const char *which_device);

extern int interactively_obtain_media_parameters_from_user(bool);


extern void make_fifo(char *store_name_here, char *stub);


extern void insist_on_this_cd_number(
									 int cd_number_i_want);


extern int what_number_cd_is_this();


extern int eject_device(char *);

extern char *list_of_NETFS_mounts_only(void);

extern bool set_dev_to_this_if_rx_OK(char *, char *);

extern void retract_CD_tray_and_defeat_autorun(void);

extern bool does_string_exist_in_first_N_blocks(char *dev, char *str,
												int n);

extern int inject_device(char *dev);
extern bool does_nonMS_partition_exist(void);
extern char *resolve_softlinks_to_get_to_actual_device_file(char *incoming);

extern bool is_dev_an_NTFS_dev(char *bigfile_fname);

extern char *which_partition_format(const char *drive);
